<template>
    <div class="text-center">
       
        <modalAddAttribution :dialog.sync="dialog" :selectedDateM="date" :idPcM="idPc" :selectedTime="time" @select="addAttribution" />

        <v-container>
            <v-card >
            <v-card-title class="justify-center">
                {{ordiname}}
            </v-card-title>
            <v-card-text v-for="h in horaire" :key="h.heure" >
                <div class="row">
                    <div class="col-2" style="display: flex; align-items: center;">
                        {{h.heure}}  
                    </div>
                    <div class="col-7" style="display: flex; align-items: center;">
                        {{h.nom}}
                        {{h.prenom}}
                    </div>
                    <div class="col-3">
                        <v-btn icon color="white" class="red"
                            @click="removeAttrib(h.idAttrib, h.idPc)"
                            v-if="h.idAttrib"
                        >
                            <v-icon>
                                mdi-minus
                            </v-icon>
                        </v-btn>

                        <v-btn icon color="white" class="primary"
                            @click="passData(true,h.heure,h.idPc)"
                            v-if="!h.idAttrib"
                        >
                            <v-icon>
                                mdi-plus
                            </v-icon>
                        </v-btn>
                    </div>
                </div>
            </v-card-text>
        </v-card>
        </v-container>
    </div>  
</template>

<script src="../js/ordinateur.js"> </script>